"""Add OCI accounts

Revision ID: 44d247dd5a7c
Revises: bff7d7f3ac89
Create Date: 2020-01-30 09:29:20.800120

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '44d247dd5a7c'
down_revision = 'bff7d7f3ac89'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('oci_account',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=64), nullable=False),
    sa.Column('region', sa.String(length=32), nullable=False),
    sa.Column('availability_domain', sa.String(length=32), nullable=False),
    sa.Column('compartment_id', sa.String(length=255), nullable=False),
    sa.Column('oci_user_id', sa.String(length=255), nullable=False),
    sa.Column('tenancy', sa.String(length=255), nullable=False),
    sa.Column('bucket', sa.String(length=255), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name', 'user_id', name='_oci_account_user_uc')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('oci_account')
    # ### end Alembic commands ###
