"""Add Aliyun Account model

Revision ID: 65c75c1736bf
Revises: c16a9ad64021
Create Date: 2021-03-15 11:17:45.375986

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '65c75c1736bf'
down_revision = 'c16a9ad64021'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('aliyun_account',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=64), nullable=False),
    sa.Column('region', sa.String(length=32), nullable=False),
    sa.Column('security_group_id', sa.String(length=255), nullable=True),
    sa.Column('vswitch_id', sa.String(length=255), nullable=True),
    sa.Column('bucket', sa.String(length=255), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name', 'user_id', name='_aliyun_account_user_uc')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('aliyun_account')
    # ### end Alembic commands ###
